<template>
  <bh-filter-ui
    data-cid="{ BhGeofocusFilterUi }"
    :options="geofocus"
    :selected="selected"
    panel-position="right"
    @changed="$emit('changed', $event)"
  >
    <template #icon>
      <svg-icon name="app/geofocus-filter" class="h-6 w-6" />
    </template>

    <template #option="{ option: geo, isSelected, isDisabled }">
      <bh-filter-option-ui
        :color="geo.color"
        :is-selected="isSelected"
        :is-disabled="isDisabled"
      >
        <!-- Square -->
        <template #square>
          <span class="font-bold uppercase">{{ geo.code }}</span>
        </template>
        <!-- Label -->
        <template #default>
          {{ geo.name }}
        </template>
      </bh-filter-option-ui>
    </template>
  </bh-filter-ui>
</template>

<script>
export default {
  name: 'BhGeofocusFilterUi',
  props: {
    geofocus: {
      type: Array,
      default: () => [],
    },
    selected: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
